# Ubuntu

### Installation Steps

Before you start installing the RNS Plugin, it's important to note that the current main method of installing RNS Plugin is by using Docker. You'll need to install docker on your own or use our installation script.&#x20;

1. **Download the latest** [**FMS Easy Deploy**](https://movelrobotics.com/downloads/index.html) **version and unzip/extract the folder to a preferred directory**

FMS Easy Deploy contains the installation scripts and will also act as the working space for the RNS Plugin installation.

```
unzip fms_easy_deploy_vx.y.z.zip -d fms_easy_deploy
```

2. **Install docker on the host machine**

You can install docker on your own by following the guide from the official website, or you can also install docker by using our docker installation script from the fms easy deploy directory:

```
./installs/install_docker.sh
```

3. **Run the installation script**

After installing docker, we can proceed with the installation process which mainly involves pulling the official RNS Plugin docker image.

```
./rns_plugin/ubuntu/install.sh
```

4. **Start the containers**

In order to start the RNS Plugin, you can use the start script which will load the environment variables and run the containers based on the docker compose file.

```
./rns_plugin/ubuntu/start.sh
```

You can also use the stop script to stop the docker containers easily.

```
./rns_plugin/ubuntu/stop.sh
```

### Uninstalling RNS Plugin

If you want to uninstall RNS Plugin which involves removing docker images and volumes. We provide a convenience script:

```
./rns_plugin/ubuntu/uninstall.sh
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.movel.ai/new-collection/seirios-fms/technical-resources/rns-plugin-installation-guide/ubuntu.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
